Subject: bug#11925: 24.1.50; Make extra-clean fails

From: Ivan Kanis <[email-masked]>
Date: Wed, 25 Jul 2012 10:30:11 +0200

Glenn Morris wrote:

> Ivan Kanis wrote:
> 
> > ;; Running make extraclean
> > make: *** No rule to make target
> > /home/ubuntu/src/emacs-bzr/trunk/configure.in', needed by
> > /home/ubuntu/src/emacs-bzr/trunk/configure'. Stop.
> 
> A one-time, unavoidable (AFAICS) issue caused by the renaming of
> configure.in to configure.ac. If you re-configure, it will work.;

This is what I do before reporting a bug:

./autogen.sh
make extraclean
./configure
make bootstrap

I was told earlier to do extraclean _before_ configure.

How should I change my strategy?

Take care,

Ivan